/* -*- mode: c++ -*-
  style file for rubyapi
	Author:	Hiroshi Igarashi
	Last updated: 1999.07.27
*/

/* $BA4BN(B */
body { background: White }

/* $B>OBj(B */
/* h1 { color: black; text-align: center; font-size: 200% } */
h1 {
    color: Black;
    /* text-align: center; */
}
h2 {
    color: Black;
    background: lightcyan;
}
/* h3,h4,h5,h6 { color: gray } */

/* $B%a%$%k%"%I%l%9(B */
address {
    text-align: right;
    color: Black;
}

/* $B%a%K%e!<(B */
.menu {
    text-align: center;
    list-style-type: none;
    line-height: 120%;
}

/* $B6/D4(B */
.emph { color: Red }
em { color: Red }

/* $B<BAu(B/$BL$<BAu(B */
.defined {
 color: Black;
}
.undefined {
 color: Red;
 /* background-color: Red; */
}

/* $BL$5-=R(B */
.nodesc { color: Gray }

/* $B%j%9%H(B */
dl.class { list-style-type: circle }
dl.constants { list-style-type: circle }
dl.methods { list-style-type: circle }

/* $B99?7F|;~(B */
span.update { text-align: right;
	      color: Green }

/* $B6h@Z$j(B */
hr {
}

/* $BCJMn(B */
p { text-indent: 1em }

/* guide */
.guide {
    text-align: left;
}

/* authors, author */
.authors {
    text-align: right;
    list-style-type: none;
}
.author {
    text-align: right;
    list-style-type: none;
}

/* rubyapi2 */
.rubyapi2 {
    text-align: right;
    color: Black;
}

/* truebody */
.truebody {
}

/* class header */
.classhead {
    /* text-align: center; */
    color: black;
    /* background: lightcyan; */
}

/* class name */
.classname {
    color: black;
}

/* module header */
.modulehead {
    /* text-align: center; */
    color: black;
}

/* module name */
.modulename {
    color: black;
}

/* super class head */
.superclasshead {
    color: black;
}

/* super class */
.superclass {
    padding-left: 2em;
}

/* included module head */
.includedmodulehead {
    color: black;
}

/* included modules */
.includedmodules {
}

/* included module */
.includedmodule {
    padding-left: 2em;
    list-style-type: none;
}

/* constants head */
.constantshead {
    color: black;
}

/* library desc header */
.librarydeschead {
    color: black;
}

/* library desc */
.librarydesc {
    padding-left: 2em;
}

/* class desc header */
.classdeschead {
    color: black;
}

/* class desc */
.classdesc {
    padding-left: 2em;
}

/* module desc header */
.moduledeschead {
    color: black;
}

/* module desc */
.moduledesc {
    padding-left: 2em;
}

/* desc */
.desc {
    /* padding-left: 2em; */
}

/* class methods header */
.classmethodshead {
    color: black;
}

/* module functions header */
.modulefunctionshead {
    color: black;
}

/* instance methods header */
.instancemethodshead {
    color: black;
}
